Bug 116270 - Cannot finish Deploy task
Cannot finish Deploy task
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Daniel Berrange
http://youth.aplaws.org.uk/ccm/conten...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 11:37 EST by James Kearns
Modified: 2008-10-06 09:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 09:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Kearns 2004-02-19 11:37:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Item: 
Content Centre>Content section: content>Z_Test_Area>James>aplaws+plus 
QA>Some WS3 Tests>Cynodont's Home Folder>Content item: All About Me 
(en)
is Published but it still appears in the Content center tasks for the 
workflow publishers.
An example of a publishing user is:
Leaellynasaura ORNITHISCHIANS
It seems as though the user cannot "finish" the deploy task.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create and publish item using "Prehistoric Life" workflow
2. Log on as a publisher.
    

Actual Results:  Third Task is "enabled" but never "finished"
Third Task remains in publisher's task list

Expected Results:  Summary page shows Third Task as "finished"
Task disappears from publisher's task list


Additional info:
Comment 1 Scott Seago 2004-02-26 14:58:46 EST
Fixed @40816

This bug only shows up when streamlined editing mode is active. There
were apparently two process listners for publishing -- one to actually
publish the item, and one to finish the deploy task. The
RedirectSignal thrown from one listener (to return to the content
center) was preventing the other listener from firing, so I
consolidated both into a single listener.
Comment 2 James Kearns 2004-02-27 08:07:39 EST
Retested with 
http://youth.aplaws.org.uk/ccm/content/admin/item.jsp?item_id=25076
and with
http://youth.aplaws.org.uk/ccm/content/admin/item.jsp?item_id=40397

Still getting 
Actual Results:  Third Task is "enabled" but never "finished"
Third Task remains in publisher's task list

Failed retest at camden

Comment 3 James Kearns 2004-03-17 08:41:37 EST
Results on http://aplaws-ws3.ccm-demo.redhat.de are now as expected. 
Thanks guys.

Comment 4 David Lawrence 2006-07-17 23:44:06 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.